require 'rss'
include RSS
def usage
	print "Usage:  fromfile.rb <xmlfilename>\n"
	exit 2
end

if ARGV.empty? then usage end
xml = $<.read
a = RSS::from_xml(xml)
# here, you could create an HTML table, or whatever you'd like
print "Channel: ", a.title, " - ", a.link, " - ", a.description, "\n"
a.each_item do | it |
	print it.inspect, "\n"
end

print "\n---------\n"
print a.textinput.inspect, "\n"
